1. Whatsapp
Ant CRM API
  • Leads
    • Create Lead
      POST
    • Get Leads
      GET
  • Users
    • Get users
      GET
    • Get user details
      GET
  • Whatsapp
    • Send message
      • Template message
      • Text message
      • Media message
    • Get messages
      GET
    • Send Bulk messages
      POST
    • Bulk Batches List
      GET
    • Bulk Batch Detail
      GET
  1. Whatsapp

Send Bulk messages

POST
/api/v1/whatsapp/messages/bulk/

Request

Authorization
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.antcrm.co/api/v1/whatsapp/messages/bulk/' \
--header 'Authorization: Basic <encoded-value>' \
--form 'template_id="976348261855933"' \
--form 'name="First Campaign"' \
--form 'template="appointment_confirmation"' \
--form 'category="UTILITY"' \
--form 'language="en_US"' \
--form 'preview_template="{\"id\":\"976348261855933\",\"language\":\"en_US\",\"name\":\"appointment_confirmation\",\"status\":\"APPROVED\",\"category\":\"UTILITY\",\"components\":[{\"type\":\"HEADER\",\"format\":\"TEXT\",\"text\":\"You have an upcoming appointment\"},{\"type\":\"BODY\",\"text\":\"Hello {{clientname}},\\nThis is a reminder about your upcoming appointment with {{clientemail}} on {{clientmobile}}. Please be available.\",\"example\":{\"body_text\":[[\"Jhon\",\"Shyam\",\"Jun 9 10.00 AM\"]]}},{\"type\":\"FOOTER\",\"text\":\"Ant CRM\"},{\"type\":\"BUTTONS\",\"buttons\":[{\"type\":\"QUICK_REPLY\",\"text\":\"Yes, Will attend\"},{\"type\":\"QUICK_REPLY\",\"text\":\"No, Will not attend\"}]}]}"' \
--form 'components="[{\"type\":\"body\",\"parameters\":[{\"type\":\"text\",\"text\":\"{{clientname}}\"},{\"type\":\"text\",\"text\":\"{{clientemail}}\"},{\"type\":\"text\",\"text\":\"{{clientmobile}}\"}]}]"' \
--form 'all="false"' \
--form 'leads="false"' \
--form 'all_clients="false"' \
--form 'file=@"/Users/shyamsundar/Downloads/bulk_campaign_sample_upload (22).csv"'
Response Response Example
{
    "error": false,
    "data": {
        "id": "71cfa2c5-eb64-4381-8d6a-7bef2d112ff7",
        "name": "First Campaign",
        "phone_number_id": "883595854832611",
        "total_clients_count": 1,
        "total_batches_count": 1,
        "completed_clients_count": 0,
        "mmlite": false,
        "created_on": "2026-01-17T10:35:33.968238Z",
        "last_updated_on": "2026-01-17T10:35:33.968264Z",
        "status": "pending"
    }
}
Modified at 2026-07-21 10:12:37
Previous
Get messages
Next
Bulk Batches List
Built with